Ruby: pm_and_node Struct Reference

Ruby 3.4.8p72 (2025-12-17 revision 995b59f66677d44767ce9faac6957e5543617ff9)

Data Fields
pm_and_node Struct Reference

AndNode. More...

`#include <ast.h>`

## Data Fields
pm_node_t | base
| The embedded base node.
struct pm_node * | left
| AndNode#left.
struct pm_node * | right
| AndNode#right.
pm_location_t | operator_loc
| AndNode#operator_loc.
Data Fields inherited from pm_node
pm_node_type_t | type
| This represents the type of the node.
pm_node_flags_t | flags
| This represents any flags on the node.
uint32_t | node_id
| The unique identifier for this node, which is deterministic based on the source.
pm_location_t | location
| This is the location of the node in the source.

## Detailed Description

AndNode.

Represents the use of the && operator or the and keyword.

    left and right
    ^^^^^^^^^^^^^^

Type: ::PM_AND_NODE

Definition at line 1262 of file ast.h.

## Field Documentation

## ◆ base

pm_node_t pm_and_node::base

The embedded base node.

Definition at line 1264 of file ast.h.

Referenced by pm_dump_json().

## ◆ left

struct pm_node* pm_and_node::left

AndNode#left.

Represents the left side of the expression. It can be any non-void expression.

    left and right
    ^^^^

    1 && 2
    ^

Definition at line 1278 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

## ◆ operator_loc

pm_location_t pm_and_node::operator_loc

AndNode#operator_loc.

The location of the and keyword or the && operator.

    left and right
         ^^^

Definition at line 1301 of file ast.h.

Referenced by pm_dump_json().

## ◆ right

struct pm_node* pm_and_node::right

AndNode#right.

Represents the right side of the expression.

    left && right
            ^^^^^

    1 and 2
          ^

Definition at line 1291 of file ast.h.

Referenced by pm_dump_json(), pm_node_destroy(), and pm_visit_child_nodes().

The documentation for this struct was generated from the following file:

- prism/ast.h